#ifndef  _SqlGenerate_H__
#define  _SqlGenerate_H__
#include <QString>
#include <QMap>
#include <QVariantMap>

/*
	\author: zym
	\brief : 数据库组织校验器
	\version 1.0
	\note
*/
 
	class SqlGenerate
	{
	public:
		SqlGenerate();
		virtual ~SqlGenerate();
		QString  createTable(QString table, QMap<QString, QString> map);
		QString  insertData(QString table, QVariantMap map);
		QString   selectWhere(QString table, QStringList Name, QString condition = "");
		QString   selectUnion(QStringList table, QStringList Name, QString condition = "");
		QString   createIndex(QString table, QString name);
		QString  updateData(QString table, QVariantMap map, QString condition);
		QString deleteData(QString table, QString sWhere);
	private:
		bool checkCheckParameterSql(const QString& str);
	protected:

	private:
	};
 
#endif // SqlGenerate_h__
